## vertigotv vertigotv — A loopback alpha blending effector with rotating and scaling |

## Synopsis

    struct              GstVertigoTV;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstVertigoTV

## Properties

      "speed"                    gfloat                : Read / Write
      "zoom-speed"               gfloat                : Read / Write

## Signals

      "reset-parms"                                    : Action

## Description

VertigoTV is a loopback alpha blending effector with rotating and scaling.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! vertigotv ! videoconvert ! autovideosink

This pipeline shows the effect of vertigotv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Wim Taymans <wim.taymans@gmail.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstVertigoTV

    struct GstVertigoTV;

## Property Details

### The `"speed"` property

      "speed"                    gfloat                : Read / Write

Control the speed of movement.

Allowed values: [0.01,100]

Default value: 0.02

### The `"zoom-speed"` property

      "zoom-speed"               gfloat                : Read / Write

Control the rate of zooming.

Allowed values: [1.01,1.1]

Default value: 1.01

## Signal Details

### The `"reset-parms"` signal

    void                user_function                      (GstVertigoTV *gstvertigotv,
                                                            gpointer      user_data)         : Action

`gstvertigotv` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.